Page MenuHomePhabricator

Add domain acms.sl.nsw.gov.au to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

Please add the following domain to the wgCopyUploadsDomains whitelist, so that I can use GWToolset to upload media files from that domain. I have provided at least 3 example URLs to media files that will be uploaded with GWToolset.

<domain name>acms.sl.nsw.gov.au

<example URL>http://acms.sl.nsw.gov.au/_DAMx/image/18/122/a089002h.jpg
<example URL>http://acms.sl.nsw.gov.au/_DAMx/image/18/122/a089003h.jpg
<example URL>http://acms.sl.nsw.gov.au/_DAMx/image/18/122/a089004h.jpg

Metadata at:
http://data.gov.au/dataset/photographs-of-sydney-before-1885
... in XLS format at:
http://data.gov.au/dataset/photographs-of-sydney-before-1885/resource/d4db01ae-183f-4896-a7eb-81a7930199dd

Note added 12 May:
It's for a workshop at the British Library on the Upload Tool on Mon 11th / Tues 12th (ie yesterday and today), at which one of the attendees is from the State Library of New South Wales, and selected this photoset as a good one to work on, so it would be really helpful if we could get this site whitelisted before we reconvene at 10 a.m. UK time today, because we really wanted to work the whole process in the workshop today & finish up with some real uploading having been done, and also how to organise and do post-upload additional categorisation. Thanks!

Event Timeline

Jheald created this task.May 11 2015, 3:48 PM
Jheald updated the task description. (Show Details)
Jheald raised the priority of this task from to Normal.
Jheald added a subscriber: Jheald.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2015, 3:48 PM
Dereckson moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
Dereckson added a comment.EditedMay 11 2015, 11:48 PM

Hi @Jheald,

Thank you for the request.

Could you edit the task and add URL to metadata information about these files too?

Jheald updated the task description. (Show Details)May 12 2015, 6:53 AM
Jheald set Security to None.
Jheald updated the task description. (Show Details)May 12 2015, 7:00 AM
Jheald updated the task description. (Show Details)
JeanFred renamed this task from Add domain to $wgCopyUploadsDomains to Add domain acms.sl.nsw.gov.au to $wgCopyUploadsDomains.May 12 2015, 1:14 PM

Good afternoon,

Thank you for clarification.

For future reference if you conduct new workshops, our time windows to deploy config changes are 4pm and midnight London summer time (3pm and 11pm UTC).

If you would have noted this emergency creating the bug, I would have handled it yesterday evening, sorry for the delay.

Change 210356 had a related patch set uploaded (by Dereckson):
Add *.sl.nsw.gov.au to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/210356

Change 210356 merged by jenkins-bot:
Add *.sl.nsw.gov.au to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/210356

Dereckson closed this task as Resolved.

Deployed.

Change 232458 had a related patch set uploaded (by Jean-Frédéric):
Add *.webarchive.org.uk to wgCopyUploadsDomains whitelist

https://gerrit.wikimedia.org/r/232458

Restricted Application added subscribers: Bawolff, Steinsplitter, Matanya. · View Herald TranscriptAug 19 2015, 9:21 AM